{
    package GCLang;
    
###################################################
#
#  Copyright 2005 Tian
#
#  This file is part of GCfilms.
#
#  GCfilms is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  GCfilms is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with GCfilms; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
###################################################

    use strict;
    
    use base 'Exporter';
	our @EXPORT = qw(%langs @langsNames);

    use File::Basename;
    use FindBin qw($RealBin $Script);

    my $baseDir = $RealBin;
    $baseDir .= '/bin' if $Script =~ m/install$/;
    
    our %langs;
    
    foreach (glob $baseDir."/../lib/gcfilms/GCLang/*.pm")
    {
        my $lang = basename($_, '.pm');
        eval "use GCLang::$lang";
        my %tmpLang;
        eval "%tmpLang = %GCLang::${lang}::lang";
        $langs{$lang} = \%tmpLang;
    }

    our @langsNames;
    foreach (keys %langs)
    {
        push @langsNames, $langs{$_}->{LangName};
    }
    @langsNames = sort @langsNames;
    
}

1;
