{
    package GCLang::EN;

###################################################
#
#  Copyright 2005 Tian
#
#  This file is part of GCfilms.
#
#  GCfilms is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  GCfilms is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with GCfilms; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
###################################################
    
    use strict;
    use base 'Exporter';

    our @EXPORT = qw(%lang);

    our %lang = (

        'LangName' => 'English',
        
        'InstallDirInfo' => 'Installing in ',
        'InstallMandatory' => 'Mandatory components',
        'InstallOptional' => 'Optional Components',
        'InstallErrorMissing' => 'Error : Following components have to be installed: ',
        'InstallPrompt' => 'Base directory for installation [/usr/local]: ',
        'InstallEnd' => 'End of the installation',
        'InstallNoError' => 'No error',
        'InstallLaunch' => 'To use this application, one can launch ',
        'InstallDirectory' => 'Base directory',
        'InstallTitle' => 'GCfilms installation',
        'InstallDependancies' => 'Dependancies',
        'InstallToggleDependancies' => 'Show/Hide dependancies',
        'InstallSelectDirectory' => 'Select base directory for the installation',

        'SplashInit' => 'Initialization',
        'SplashLoad' => 'Loading movies',
        'SplashDone' => 'Ready',

        'RemoveConfirm' => 'Do you really want to remove this movie?',
        'NewMovie' => 'New movie',
        'NewMovieTooltip' => 'Add a new movie',
        'NoMovieFound' => 'No movie was found. Do you want to perform a search on another site?',
        'OpenList' => 'Please choose movie list',
        'SaveList' => 'Please choose where you want to save the list',
        'SaveListTooltip' => 'Save current list',
        'SaveCurrentList' => 'First specify where you want to save current list',
        'Movies' => 'Movies',
        'PreferencesTooltip' => 'Set your preferences',
        'ViewTooltip' => 'Change liste type',

        'StatusSearch' => 'Search in progress...',
        'StatusGetInfo' => 'Getting information...',
        'StatusGetImage' => 'Getting picture...',
                
        'SaveError' => 'Cannot save movies list. Please check access rights and disk free space.',
        'OpenError' => 'Cannot open movies list. Please check access rights.',
        'ImageError' => 'Selected directory to save images is not correct. Please select another one.',
        'OptionsCreationError'=> 'Cannot create options file: ',
        'OptionsOpenError'=> 'Cannot open options file: ',
        'OptionsSaveError'=> 'Cannot save options file: ',

        'AboutTitle' => 'About GCfilms',
        'AboutDesc' => 'Gtk2 movie Catalogue',
        'AboutVersion' => 'Version',
        'AboutTeam' => 'Team',
        'AboutWho' => 'Tian : Project management, Programming
MeV : Programming
Christophe Z : Programming
Mickael : Programming
Rootii : Programming
Kerito : Design',
        'AboutLicense' => 'Distributed under the terms of the GNU GPL',
        'AboutTranslation' => 'English translation by Tian',

        'ResultsTitle' => 'Select a movie',
        'ResultsMovieTitle' => 'Title',
        'ResultsMovieYear' => 'Year',
        'ResultsMovieDirector' => 'Director',
        'ResultsMovieActors' => 'Actors',
        'ResultsNextTip' => 'Search in next site',
        
        'OptionsTitle' => 'Preferences',
        'OptionsBrowser' => 'Web browser',
        'OptionsImages' => 'Images directory',
        'OptionsOrder' => 'Information Layout',
        'OptionsStatus' => 'Display status bar on window bottom',
        'OptionsWarning' => 'Warning: Options changed in this panel won\'t be effective until an application restart',
        'OptionsTabs' => 'Tabs',
        'OptionsInfo' => 'Movie information first',
        'OptionsPerso' => 'Private information first',
        'OptionsRemoveConfirm' => 'Ask confirmation before movie deletion',
        'OptionsAutoSave' => 'Automatically save movie list',
        'OptionsSplash' => 'Show splash screen',
        'OptionsImagesTitle' => 'Select a directory',
        'OptionsBrowserTitle' => 'Select the program to be used',
		'OptionsPlugins' => 'Site to use for movies information',
		'OptionsAskPlugins' => 'Ask (All sites)',
		'OptionsPluginsMulti' => 'Many sites',
		'OptionsPluginsMultiAsk' => 'Ask (Many sites)',
		'OptionsPluginsList' => 'Set list',
        'OptionsAskImport' => 'Select fields to be imported',
		'OptionsProxy' => 'Use a proxy',
        'OptionsLang' => 'Lang',
        'OptionsMain' => 'Main',
        'OptionsPaths' => 'Paths',
        'OptionsInternet' => 'Internet',
        'OptionsConveniences' => 'Conveniences',
        'OptionsDisplay' => 'Display',
        'OptionsToolbar' => 'Toolbar',
        'OptionsToolbars' => {0 => 'None', 1 => 'Small', 2 => 'Big'},
        'OptionsView' => 'Movies display',
        'OptionsViews' => {0 => 'Text', 1 => 'Picture'},
        'OptionsColumns' => 'Columns',
        'OptionsMailer' => 'E-mailer',
        'OptionsSMTP' => 'Server',
        'OptionsFrom' => 'Sender e-mail',
        'OptionsTransform' => 'Put these articles on the titles end',
        'OptionsArticles' => 'Articles (Comma separated)',
        'OptionsFormats' => 'Support type (Comma separated)',
        'OptionsSearchStop' => 'User can stop a search',
        'OptionsSelectColor' => 'Select a color',
        'OptionsImagesBg' => 'Background',
        'OptionsImagesFg'=> 'Selection',
        'OptionsImagesBgTooltip' => 'Change background color',
        'OptionsImagesFgTooltip'=> 'Change selection color',
        
        'ExportTitle' => 'Export movie list',
        'ExportType' => 'Export type',
        'ExportHTML' => 'HTML',
        'ExportTarGz' => '.tar.gz archive',
        'ExportFile' => 'File',
        'ExportSave' => 'Please select file for export',
        'ExportFieldsTitle' => 'Fields to be exported',
        'ExportFieldsTip' => 'Select fields you want to export',
        'ExportFieldsUnused' => 'Unused fields',
        'ExportFieldsUsed' => 'Used fields',
        'ExportFieldsFill' => 'All fields',
        'ExportFieldsClear' => 'No field',
        'ExportFieldsEmpty' => 'You have to choose at least one field',

        'FileOverwrite' => 'This file already exists. Do you want to overwrite it?',

        'PanelSearchTip' => 'Search information according to movie title entered',
        'PanelSeen' => 'Already Seen',
        'PanelRating' => 'Rating: ',
        'PanelMedia' => 'Media: ',
        'PanelNumber' => 'Number: ',
        'PanelPlace' => 'Place:',
        'PanelLanguages' => 'Languages',
        'PanelAudio' => 'Audio:',
        'PanelSub' => 'Subtitles:',
        'PanelComment' => 'Comment:',
        'PanelOriginal' => 'Original title: ',
        'PanelImageTip' => 'Click on the picture to select another one',
        'PanelImageTitle' => 'Select a picture',
        'PanelInfoFrame' => 'Information',
        'PanelDate' => 'Date: ',
        'PanelDirector' => 'Director : ',
        'PanelTime' => 'Length: ',
        'PanelCountry' => 'Nationality: ',
        'PanelType' => 'Types: ',
        'PanelActors' => 'Actors: ',
        'PanelDescription' => 'Synopsis:',
        'PanelLendDate' => 'Lend date',
        'PanelBorrower' => 'Borrower',
        'PanelNobody' => 'Nobody',
        'PanelUnknown' => 'Unknown',
        'PanelLendDateSelect' => 'Select a date',
        'PanelReturned' => 'Got back movie',
        'PanelHistory' => 'History',
        'PanelRemove' =>'Supprimer',
        'PanelClear' =>'Vider',
        'PanelReturnDate' => 'Return date',
        'PanelWeb' => 'Read movie information',
        'PanelWebTip' => 'Read information available on the web for this movie',
        'PanelRemoveTip' => 'Remove current movie',
        'PanelMovieInfo' => 'Movie information',
        'PanelPrivateInfo' => 'Private information',
        'PanelLendInfo' => 'Borrowing information',

        'MenuNewList' => 'New movie list',
        'MenuLend' => 'Display borrowed movies',
        'MenuExport' => 'Export',
        'MenuMovies' => 'Movies',
        'MenuSearchMovies' => 'Search',
        'MenuSearchSelectedMovies' => 'Search in displayed movies',
        'MenuSearchAllMovies' => 'Search in all movies',
        'MenuViewAllMovies' => 'View all movies',
        'MenuAllMovies' => 'All',
        'MenuNotSeen' => 'Not seen',
        'MenuSeenOrNot' => 'Seen or not movies',
        'MenuAllCategories' => 'All categories',
        'MenuCategories' => 'Movie category',
        'MenuRating' => 'Rating',
        'MenuAllRating' => 'All ratings',
        'MenuChooseRating' => 'Movies that have a rating greater than...',
        'MenuBorrowing' => 'Available or not movies',
        'MenuBorrowed' => 'Borrowed movies',
        'MenuNotBorrowed' => 'Available movies',
        'MenuDisplay' => 'Display',
        'MenuConfiguration' => 'Configuration',
        'MenuBorrowers' => 'Borrowers',
        'MenuRename' => 'Rename a category',
        'MenuAbout' => 'About GCfilms',
        'MenuHelp' => '?',

        'ToolbarAll' => 'View all',
        'ToolbarAllTooltip' => 'View all movies',
        
        'RatingTitle' => 'Minimum rating',
        'RatingLabel' => 'Following value is the minimum value a movie rating should be to have this movie displayed',

        'StatusMovies' => 'Movies',
        
        'PluginsTitle' => 'Search a movie',
        'PluginsFrame' => 'Search site',

        'BorrowersTitle' => 'Borrowers configuration',
        'BorrowersName' => 'Name',
        'BorrowersEmail' => 'E-mail',
        'BorrowersAdd' => 'Add',
        'BorrowersRemove' => 'Remove',
        'BorrowersEdit' => 'Edit',
        'BorrowersTemplate' => 'Mail template',
        'BorrowersSubject' => 'Mail subject',
        'BorrowersNotice1' => '%1 will be replaced with borrower name',
        'BorrowersNotice2' => '%2 will be replaced with movie title',
        'BorrowersNotice3' => '%3 will be replaced with borrow date',

        'BorrowedTitle' => 'Borrowed movies',
        'BorrowedMovie' => 'Movie',
        'BorrowedName' => 'Borrower',
        'BorrowedDate' => 'Since',

        'MailTitle' => 'Send an e-mail',
        'MailFrom' => 'From: ',
        'MailTo' => 'To: ',
        'MailSubject' => 'Subject: ',
        'MailSmtpError' => 'Problem when connecting to SMTP server',
        'MailSendmailError' => 'Problem when launching sendmail',

        'SearchTooltip' => 'Search in all movies',
        'SearchTitle' => 'Movies search',
        'SearchMovieTitle' => 'Title contains ',
        'SearchRating' => 'Rating greater or equal to ',
        'SearchDirector' => 'Director',
        'SearchActors' => 'Actors (comma separated)',
        'SearchType' => 'Type',
        'SearchSeen' => 'Already seen',
        'SearchSeenUndef' => 'No matter',
        'SearchSeenYes' => 'Yes',
        'SearchSeenNo' => 'No',

        'RenameTitle' => 'Rename a category',
        'RenameOld' => 'Current name',
        'RenameNew' => 'New name',
        
        'ImportTitle' => 'Select fields to be imported',
        'ImportMovieTitle' => 'Tile',
        'ImportDate' => 'Date',
        'ImportTime' => 'Length',
        'ImportDirector' => 'Director',
        'ImportNat' => 'Nationality',
        'ImportOrig' => 'Original title',
        'ImportActors' => 'Actors',
        'ImportSynopsis' => 'Synopsis',
        'ImportImage' => 'Picture',
        'ImportViewPicture' => 'View picture',
        'ImportType' => 'Type',
        'ImportSelectAll' => 'Select all',
        'ImportSelectNone' => 'Select none',

        'ExportHTMLWithJS' => 'Use Javascript',
        'ExportHTMLTitle' => 'Page title',
        'ExportHTMLInfoFile' => 'Movies list is in file: ',
        'ExportHTMLInfoDir' => 'Images are in: ',
        'ExportTarGzInfo' => 'Archive is in file: ',
        'ExportHTMLHeightimg' => 'Height in pixel of the image to be exported: ',
        'ExportHTMLnote' => 'List created with GCfilms, ',
        'ExportSQLWithPictures' => 'Copy pictures in a sub directory',
        'ExportSQLWithDrop' => 'Include DROP instruction',
        'ExportSQLWithCreate' => 'Include CREATE instruction',
        'ExportSQLTableName' => 'Table Name',
        'ExportSQLInfoFile' => 'SQL file: ',

        'MultiSiteTitle' => 'Sites to use for searches',
        'MultiSiteUnused' => 'Unused plugins',
        'MultiSiteUsed' => 'Plugins to be used',
        'MultiSiteLang' => 'Fill list with english plugins',
        'MultiSiteEmptyError' => 'You have an empty sites list',
        'MultiSiteClear' => 'Clear list',

        'FieldsList' => {
            title => 'Information : Title',
            date => 'Information : Date',
            time => 'Information : Length',
            director => 'Information : Director',
            nat => 'Information : Nationality',
            type => 'Information : Type',
            image => 'Information : Picture',
            orig => 'Information : Original title',
            actors => 'Information : Actors',
            comment => 'Personal : Comments',
            synopsis => 'Information : Synopsis',
            seen => 'Personal : Already seen',
            number => 'Format : Number',
            rating => 'Personal : Rating',
            format => 'Format : Type',
            url => 'Information : Movie information URL',
            place => 'Format : Pace',
            audio => 'Languages : Audio',
            subt => 'Languages : Subtitles',
            borrower => 'Borrowing : Name',
            lendDate => 'Borrowing : Date',
            history => 'Borrowing : History',
        },

    );
}
1;
